std::experimental::filesystem::v1::path::iterator Class Reference

## Public Types

using | difference_type = std::ptrdiff_t
using | iterator_category = std::bidirectional_iterator_tag
using | pointer = const path *
using | reference = const path &
using | value_type = path

## Public Member Functions

| iterator (const iterator &)=default
reference | operator* () const
iterator & | operator++ ()
iterator | operator++ (int)
iterator & | operator-- ()
iterator | operator-- (int)
pointer | operator-> () const
iterator & | operator= (const iterator &)=default

## Friends

bool | operator!= (const iterator &__lhs, const iterator &__rhs)
bool | operator== (const iterator &__lhs, const iterator &__rhs)
class | path

## Detailed Description

An iterator for the components of a path.

Definition at line 858 of file experimental/bits/fs_path.h.

The documentation for this class was generated from the following file:

- experimental/bits/fs_path.h